org.eclipse.net4j.util.security

## Interface IRandomizer

- All Known Implementing Classes:
    Randomizer

      public interface IRandomizer

  Author:
    Eike Stepper

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `generateSeed(int numBytes)`
    `boolean` | `nextBoolean()`
    `void` | `nextBytes(byte[] bytes)`
    `double` | `nextDouble()`
    `float` | `nextFloat()`
    `double` | `nextGaussian()`
    `int` | `nextInt()`
    `int` | `nextInt(int n)`
    `long` | `nextLong()`
    `java.lang.String` | `nextString(int length, java.lang.String alphabet)`

- - ### Method Detail

    - #### generateSeed

          byte[] generateSeed(int numBytes)

    - #### nextBoolean

          boolean nextBoolean()

    - #### nextDouble

          double nextDouble()

    - #### nextFloat

          float nextFloat()

    - #### nextGaussian

          double nextGaussian()

    - #### nextInt

          int nextInt()

    - #### nextInt

          int nextInt(int n)

    - #### nextLong

          long nextLong()

    - #### nextBytes

          void nextBytes(byte[] bytes)

    - #### nextString

          java.lang.String nextString(int length,
                                      java.lang.String alphabet)

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html